#ifndef PLUGIN_H
#define PLUGIN_H

#include <SPlugin>
#include "loaderengine.h"

class NowPlayingPlugin : public SPlugin
{
public:
    NowPlayingPlugin();
    ~NowPlayingPlugin();

protected:
    bool startEvent();
    bool stopEvent();

private:
    LoaderEngine *engine;
};

#endif // PLUGIN_H
